salesforce.cdp.hyperdb.v1

## Class HyperServiceGrpc

- java.lang.Object
- - salesforce.cdp.hyperdb.v1.HyperServiceGrpc

    @Generated(value="by gRPC proto compiler (version 1.68.1)",
               comments="Source: hyper_service.proto")
    public final class HyperServiceGrpc
    extends Object

### Nested Class Summary

Nested Classes
`static interface` `HyperServiceGrpc.AsyncService`
`static class` `HyperServiceGrpc.HyperServiceBlockingStub` A stub to allow clients to do synchronous rpc calls to service HyperService.
`static class` `HyperServiceGrpc.HyperServiceFutureStub` A stub to allow clients to do ListenableFuture-style rpc calls to service HyperService.
`static class` `HyperServiceGrpc.HyperServiceImplBase` Base class for the server implementation of the service HyperService.
`static class` `HyperServiceGrpc.HyperServiceStub` A stub to allow clients to do asynchronous rpc calls to service HyperService.

### Field Summary

Fields
`static String` `SERVICE_NAME`

### Method Summary

All Methods Static Methods Concrete Methods
`static io.grpc.ServerServiceDefinition` `bindService(HyperServiceGrpc.AsyncService service)`
`static io.grpc.MethodDescriptor<CancelQueryParam,com.google.protobuf.Empty>` `getCancelQueryMethod()`
`static io.grpc.MethodDescriptor<QueryParam,ExecuteQueryResponse>` `getExecuteQueryMethod()`
`static io.grpc.MethodDescriptor<QueryInfoParam,QueryInfo>` `getGetQueryInfoMethod()`
`static io.grpc.MethodDescriptor<QueryResultParam,QueryResult>` `getGetQueryResultMethod()`
`static io.grpc.ServiceDescriptor` `getServiceDescriptor()`
`static HyperServiceGrpc.HyperServiceBlockingStub` `newBlockingStub(io.grpc.Channel channel)` Creates a new blocking-style stub that supports unary and streaming output calls on the service
`static HyperServiceGrpc.HyperServiceFutureStub` `newFutureStub(io.grpc.Channel channel)` Creates a new ListenableFuture-style stub that supports unary calls on the service
`static HyperServiceGrpc.HyperServiceStub` `newStub(io.grpc.Channel channel)` Creates a new async stub that supports all call types for the service

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SERVICE_NAME

    public static final String SERVICE_NAME

See Also:
  Constant Field Values

### Method Detail

#### getExecuteQueryMethod

    public static io.grpc.MethodDescriptor<QueryParam,ExecuteQueryResponse> getExecuteQueryMethod()

#### getGetQueryResultMethod

    public static io.grpc.MethodDescriptor<QueryResultParam,QueryResult> getGetQueryResultMethod()

#### getGetQueryInfoMethod

    public static io.grpc.MethodDescriptor<QueryInfoParam,QueryInfo> getGetQueryInfoMethod()

#### getCancelQueryMethod

    public static io.grpc.MethodDescriptor<CancelQueryParam,com.google.protobuf.Empty> getCancelQueryMethod()

#### newStub

    public static HyperServiceGrpc.HyperServiceStub newStub(io.grpc.Channel channel)

Creates a new async stub that supports all call types for the service

#### newBlockingStub

    public static HyperServiceGrpc.HyperServiceBlockingStub newBlockingStub(io.grpc.Channel channel)

Creates a new blocking-style stub that supports unary and streaming output calls on the service

#### newFutureStub

    public static HyperServiceGrpc.HyperServiceFutureStub newFutureStub(io.grpc.Channel channel)

Creates a new ListenableFuture-style stub that supports unary calls on the service

#### bindService

    public static final io.grpc.ServerServiceDefinition bindService(HyperServiceGrpc.AsyncService service)

#### getServiceDescriptor

    public static io.grpc.ServiceDescriptor getServiceDescriptor()